import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CrosshairLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private hb;
    get horizontalLineStroke(): string;
    set horizontalLineStroke(a: string);
    private hf;
    get verticalLineStroke(): string;
    set verticalLineStroke(a: string);
    private hd;
    get targetSeriesName(): string;
    set targetSeriesName(a: string);
    private he;
    get targetSeriesRef(): string;
    set targetSeriesRef(a: string);
    private gf;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private gd;
    get isAxisAnnotationEnabled(): boolean;
    set isAxisAnnotationEnabled(a: boolean);
    private hk;
    get xAxisAnnotationTextColor(): string;
    set xAxisAnnotationTextColor(a: string);
    private hh;
    get xAxisAnnotationBackground(): string;
    set xAxisAnnotationBackground(a: string);
    private gj;
    get xAxisAnnotationBackgroundCornerRadius(): number;
    set xAxisAnnotationBackgroundCornerRadius(a: number);
    private g7;
    get xAxisAnnotationInterpolatedValuePrecision(): number;
    set xAxisAnnotationInterpolatedValuePrecision(a: number);
    private hj;
    get xAxisAnnotationOutline(): string;
    set xAxisAnnotationOutline(a: string);
    private gl;
    get xAxisAnnotationPaddingLeft(): number;
    set xAxisAnnotationPaddingLeft(a: number);
    private gn;
    get xAxisAnnotationPaddingTop(): number;
    set xAxisAnnotationPaddingTop(a: number);
    private gm;
    get xAxisAnnotationPaddingRight(): number;
    set xAxisAnnotationPaddingRight(a: number);
    private gk;
    get xAxisAnnotationPaddingBottom(): number;
    set xAxisAnnotationPaddingBottom(a: number);
    private gr;
    get yAxisAnnotationPaddingLeft(): number;
    set yAxisAnnotationPaddingLeft(a: number);
    private gt;
    get yAxisAnnotationPaddingTop(): number;
    set yAxisAnnotationPaddingTop(a: number);
    private gs;
    get yAxisAnnotationPaddingRight(): number;
    set yAxisAnnotationPaddingRight(a: number);
    private gq;
    get yAxisAnnotationPaddingBottom(): number;
    set yAxisAnnotationPaddingBottom(a: number);
    private go;
    get xAxisAnnotationStrokeThickness(): number;
    set xAxisAnnotationStrokeThickness(a: number);
    private ho;
    get yAxisAnnotationTextColor(): string;
    set yAxisAnnotationTextColor(a: string);
    private hl;
    get yAxisAnnotationBackground(): string;
    set yAxisAnnotationBackground(a: string);
    private gp;
    get yAxisAnnotationBackgroundCornerRadius(): number;
    set yAxisAnnotationBackgroundCornerRadius(a: number);
    private g8;
    get yAxisAnnotationInterpolatedValuePrecision(): number;
    set yAxisAnnotationInterpolatedValuePrecision(a: number);
    private hn;
    get yAxisAnnotationOutline(): string;
    set yAxisAnnotationOutline(a: string);
    private gu;
    get yAxisAnnotationStrokeThickness(): number;
    set yAxisAnnotationStrokeThickness(a: number);
    private hg;
    get verticalLineVisibility(): string;
    set verticalLineVisibility(a: string);
    private hc;
    get horizontalLineVisibility(): string;
    set horizontalLineVisibility(a: string);
    private ge;
    get skipUnknownValues(): boolean;
    set skipUnknownValues(a: boolean);
    private hi;
    get xAxisAnnotationFormatLabelRef(): string;
    set xAxisAnnotationFormatLabelRef(a: string);
    private hm;
    get yAxisAnnotationFormatLabelRef(): string;
    set yAxisAnnotationFormatLabelRef(a: string);
}
